"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = App;

var _react = _interopRequireWildcard(require("react"));

var _getCookie = require("../services/getCookie");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var INTERVAL = 5 * 60 * 1000;

function App(_ref) {
  var bus = _ref.bus;
  (0, _react.useEffect)(function () {
    var _bus$getContent = bus.getContent(),
        emsEventId = _bus$getContent.eventInfo.emsEventId;

    var email = (0, _getCookie.getCookie)('watchMail');

    if (emsEventId && email) {
      var interval = setInterval(function () {
        window.navigator.sendBeacon('https://portal.gitnation.org/api/live/track', JSON.stringify({
          eventId: emsEventId,
          email: email
        }));
      }, INTERVAL);
      return function () {
        clearInterval(interval);
      };
    }
  }, []);
  return null;
}